## ros-melodic-dataspeed-ulc-can 0.0.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(dataspeed_ulc_can)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  rospy
  nodelet
  std_msgs
  geometry_msgs
  can_msgs
  dataspeed_ulc_msgs
)

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
  message(STATUS "Enabling coverage testing")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --coverage")
endif()

if (NOT "${CMAKE_CXX_STANDARD_COMPUTED_DEFAULT}")
  message(STATUS "Changing CXX_STANDARD from C++98 to C++11")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
elseif ("${CMAKE_CXX_STANDARD_COMPUTED_DEFAULT}" STREQUAL "98")
  message(STATUS "Changing CXX_STANDARD from C++98 to C++11")
  set(CMAKE_CXX_STANDARD 11)
endif()

catkin_package(
  INCLUDE_DIRS include
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

add_library(${PROJECT_NAME}
  src/nodelet.cpp
  src/UlcNode.cpp
)
add_dependencies(${PROJECT_NAME}
  ${catkin_EXPORTED_TARGETS}
)
target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES}
)

add_executable(ulc_node
  src/node.cpp
)
target_link_libraries(ulc_node
  ${PROJECT_NAME}
  ${catkin_LIBRARIES}
)

### Install Rules
install(TARGETS ${PROJECT_NAME} ulc_node
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)
install(FILES nodelets.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

catkin_python_setup()
catkin_install_python(PROGRAMS
                        scripts/speed_sine_wave.py
                        scripts/speed_square_wave.py
                      DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

### Tests
if (CATKIN_ENABLE_TESTING)
  add_subdirectory(tests)
endif()

=== tests/CMakeLists.txt ===
### Tests
#
#   Only configured when CATKIN_ENABLE_TESTING is true.

find_package(roslib REQUIRED)
find_package(rostest REQUIRED)

# Test node
add_rostest_gtest(${PROJECT_NAME}_test_node test_ulc_node.test test_ulc_node.cpp)
add_dependencies(${PROJECT_NAME}_test_node ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME}_test_node ${catkin_LIBRARIES})

# Test nodelet
add_rostest_gtest(${PROJECT_NAME}_test_nodelet test_ulc_nodelet.test test_ulc_node.cpp)
add_dependencies(${PROJECT_NAME}_test_nodelet ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME}_test_nodelet ${catkin_LIBRARIES})

# Test config frequency parameter (for ROS distributions newer than Indigo)
if($ENV{ROS_DISTRO} STRGREATER indigo)
  add_rostest(param_cfg_freq.test ARGS config_freq:=2  param_value:=5)
  add_rostest(param_cfg_freq.test ARGS config_freq:=20 param_value:=20)
  add_rostest(param_cfg_freq.test ARGS config_freq:=99 param_value:=50)
endif()

=== debian/changelog ===
ros-melodic-dataspeed-ulc-can (0.0.5-1stretch) stretch; urgency=high

  * Updates scale factor on linear accel and decel limit CAN signals
  * Adds README to document the ROS node interface
  * Contributors: Micho Radovnikovich

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Wed, 06 Nov 2019 05:00:00 -0000

ros-melodic-dataspeed-ulc-can (0.0.4-1stretch) stretch; urgency=high

  * Install base Python module instead of including it as a script
  * Contributors: Micho Radovnikovich

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Wed, 15 May 2019 04:00:00 -0000

ros-melodic-dataspeed-ulc-can (0.0.3-1stretch) stretch; urgency=high

  * Added tcpNoDelay() for subscribers
  * Contributors: Kevin Hallenbeck

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Sun, 09 Dec 2018 05:00:00 -0000

ros-melodic-dataspeed-ulc-can (0.0.2-1stretch) stretch; urgency=high

  * Cleanup and test updates
  * Contributors: Kevin Hallenbeck

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Wed, 05 Dec 2018 05:00:00 -0000

ros-melodic-dataspeed-ulc-can (0.0.1-1stretch) stretch; urgency=high

  * Initial release
  * Contributors: Kevin Hallenbeck, Micho Radovnikovich

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Fri, 30 Nov 2018 05:00:00 -0000

=== debian/control ===
Source: ros-melodic-dataspeed-ulc-can
Section: misc
Priority: optional
Maintainer: Micho Radovnikovich <mradovnikovich@dataspeedinc.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-can-msgs, ros-melodic-catkin, ros-melodic-dataspeed-ulc-msgs, ros-melodic-geometry-msgs, ros-melodic-nodelet, ros-melodic-roscpp, ros-melodic-roslib, ros-melodic-rospy, ros-melodic-rostest, ros-melodic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-dataspeed-ulc-can
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-can-msgs, ros-melodic-dataspeed-ulc-msgs, ros-melodic-geometry-msgs, ros-melodic-nodelet, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-std-msgs
Description: Package to translate ROS messages to and from CAN messages to interact with the Universal Lat/Lon Controller (ULC) firmware

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-dataspeed-ulc-can//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-dataspeed-ulc-can 0.1.0

=== debian/changelog ===
ros-melodic-dataspeed-ulc-can (0.1.0-1bionic) bionic; urgency=high

  * Reconfigure CAN and ROS messages for new ULC capability
  * Use setuptools instead of distutils for python
    http://wiki.ros.org/noetic/Migration#Setuptools_instead_of_Distutils
  * Increase CMake minimum version to 3.0.2 to avoid warning about CMP0048
    http://wiki.ros.org/noetic/Migration#Increase_required_CMake_version_to_avoid_author_warning
  * Contributors: Kevin Hallenbeck, Micho Radovnikovich

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Wed, 30 Nov 2022 05:00:00 -0000

ros-melodic-dataspeed-ulc-can (0.0.5-1bionic) bionic; urgency=high

  * Updates scale factor on linear accel and decel limit CAN signals
  * Adds README to document the ROS node interface
  * Contributors: Micho Radovnikovich

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Wed, 06 Nov 2019 05:00:00 -0000

ros-melodic-dataspeed-ulc-can (0.0.4-1bionic) bionic; urgency=high

  * Install base Python module instead of including it as a script
  * Contributors: Micho Radovnikovich

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Wed, 15 May 2019 04:00:00 -0000

ros-melodic-dataspeed-ulc-can (0.0.3-1bionic) bionic; urgency=high

  * Added tcpNoDelay() for subscribers
  * Contributors: Kevin Hallenbeck

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Sun, 09 Dec 2018 05:00:00 -0000

ros-melodic-dataspeed-ulc-can (0.0.2-1bionic) bionic; urgency=high

  * Cleanup and test updates
  * Contributors: Kevin Hallenbeck

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Wed, 05 Dec 2018 05:00:00 -0000

ros-melodic-dataspeed-ulc-can (0.0.1-1bionic) bionic; urgency=high

  * Initial release
  * Contributors: Kevin Hallenbeck, Micho Radovnikovich

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Fri, 30 Nov 2018 05:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Micho Radovnikovich <mradovnikovich@dataspeedinc.com>
-Build-Depends: debhelper (>= 9.0.0), ros-melodic-can-msgs, ros-melodic-catkin, ros-melodic-dataspeed-ulc-msgs, ros-melodic-geometry-msgs, ros-melodic-nodelet, ros-melodic-roscpp, ros-melodic-roslib, ros-melodic-rospy, ros-melodic-rostest, ros-melodic-std-msgs
+Build-Depends: debhelper (>= 9.0.0), python-setuptools, ros-melodic-can-msgs, ros-melodic-catkin, ros-melodic-dataspeed-ulc-msgs, ros-melodic-geometry-msgs, ros-melodic-nodelet, ros-melodic-roscpp, ros-melodic-roslib <!nocheck>, ros-melodic-rospy, ros-melodic-rostest <!nocheck>, ros-melodic-std-msgs
 Homepage: 
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
